Page MenuHomePhabricator

Add job number to edit summary, not just user name
Closed, ResolvedPublic

Description

When the bot makes an edit which was triggered by a job, the user name is linked in the edit summary: example.

In addition, the bot should link to the job page add the job number, allowing a user to easily identify which job caused the edits, e.g. to stop the job or discuss the usefulness of the job.

This will also counter the impression that the linked user has any influence on the bot edits, aside from which articles get edited.

Event Timeline

Cirdan created this task.Sep 1 2018, 6:42 AM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptSep 1 2018, 6:42 AM
Cyberpower678 closed this task as Invalid.Mar 5 2019, 12:56 AM

External links cannot be added to edit summaries.

Cirdan reopened this task as Open.Mar 6 2019, 6:03 AM

OK, could we then at least add the job number? This would make it much easier to find and pause/inspect a job.

Cirdan renamed this task from Link job in edit summary, not just user name to Add job number to edit summary, not just user name.Mar 9 2019, 12:09 PM
Cirdan updated the task description. (Show Details)
Cyberpower678 closed this task as Resolved.Wed, Aug 21, 2:16 PM